# -*- coding: utf-8 -*-
#
# eVotUM - Electronic Voting System
# Copyright (c) 2017 Universidade do Minho
# Developed by Eurotux (dev@eurotux.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Generated by Django 1.10.5 on 2017-03-01 16:10
from __future__ import unicode_literals

from django.db import migrations, models


def create_alert_page(apps, schema_editor):
    Page = apps.get_model('evoteadmin', 'Page')  # NOQA
    Page.objects.update_or_create(pk=10, defaults={
        'title': 'Global alert message',
        'title_en': 'Global alert message',
        'title_pt': 'Mensagen de alerta global',
        'slug': 'gloabl-alert-message',
        'body': '',
        'body_en': '',
        'body_pt': '',
        'created_by': None
    })  # id 10 declared on sites.json fixture


class Migration(migrations.Migration):

    dependencies = [
        ('evoteadmin', '0003_auto_20170120_1634'),
    ]

    operations = [
        migrations.AlterField(
            model_name='page',
            name='body',
            field=models.TextField(blank=True, verbose_name='body'),
        ),
        migrations.AlterField(
            model_name='page',
            name='body_en',
            field=models.TextField(blank=True, null=True, verbose_name='body'),
        ),
        migrations.AlterField(
            model_name='page',
            name='body_pt',
            field=models.TextField(blank=True, null=True, verbose_name='body'),
        ),
        migrations.RunPython(create_alert_page,
                             reverse_code=migrations.RunPython.noop),
    ]
