# -*- coding: utf-8 -*-
#
# eVotUM - Electronic Voting System
# Copyright (c) 2017 Universidade do Minho
# Developed by Eurotux (dev@eurotux.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Generated by Django 1.10.5 on 2017-02-07 19:37
from __future__ import unicode_literals

from django.db import migrations, models


def update_published(apps, schema_editor):
    ElectoralRoll = apps.get_model('evotevoters', 'ElectoralRoll')  # NOQA
    ElectoralRoll.objects.filter(published_on__isnull=False)\
        .update(published=True)


class Migration(migrations.Migration):

    dependencies = [
        ('evotevoters', '0006_auto_20170130_2331'),
    ]

    operations = [
        migrations.AddField(
            model_name='electoralroll',
            name='published',
            field=models.BooleanField(default=False),
        ),
        migrations.RunPython(update_published,
                             reverse_code=migrations.RunPython.noop),
    ]
