/* globals jQuery */

"use strict";

(function($) {

	$.fn.stickyHeader = function(stickyClass, scrollOffset)
	{
		return this.each(function() {
			var $this = $(this);
			var itemHeight = $this.outerHeight(true);

			scrollOffset = typeof(scrollOffset) == "undefined" ? 0 : scrollOffset;

			function onScroll() {
				var topValue = parseInt($('body').css('padding-top'));
				if ($(window).scrollTop() > scrollOffset) {
					// Optimization
					if( $this.hasClass(stickyClass) )
						return;
					// Append the item height to the DOM
					$('body').css('padding-top', topValue + itemHeight);
					$this.css('top', topValue).addClass(stickyClass);
		        }
		        else {
		        	if( ! $this.hasClass(stickyClass) )
						return;
		        	$('body').css('padding-top', topValue - itemHeight );
		        	$this.css('top', 0).removeClass(stickyClass);
		        }
			}

			$(window).scroll(onScroll);

			// initial call
			onScroll();
		});
	};

})(jQuery);
